Bug 1027250 - Add support to tuned for setting MSR_IA32_ENERGY_PERF_BIAS Intel CPU MSR
Add support to tuned for setting MSR_IA32_ENERGY_PERF_BIAS Intel CPU MSR
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
medium Severity high
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On: 1015675
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:25 EST by Jaroslav Škarvada
Modified: 2015-11-02 08:53 EST (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-98.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1015675
Environment:
Last Closed: 2014-06-13 09:04:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jaroslav Škarvada 2013-11-06 07:26:36 EST
Tuned needs to run x86_energy_perf tool to modify the MSR:

type=AVC msg=audit(1383740537.980:1592): avc:  denied  { write } for  pid=43003 comm="x86_energy_perf" name="msr" dev="devtmpfs" ino=1152 scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:object_r:cpu_device_t:s0 tclass=chr_file
type=SYSCALL msg=audit(1383740537.980:1592): arch=c000003e syscall=2 success=no exit=-13 a0=7fff48938330 a1=2 a2=7fff4893833f a3=7fff489380e0 items=0 ppid=41071 pid=43003 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="x86_energy_perf" exe="/usr/bin/x86_energy_perf_policy" subj=system_u:system_r:tuned_t:s0 key=(null)
Comment 2 Jaroslav Škarvada 2013-11-06 07:26:57 EST
The same code is heading into f21.
Comment 3 Jaroslav Škarvada 2013-11-06 07:27:25 EST
And also f20.
Comment 4 Miroslav Grepl 2013-11-06 15:23:30 EST
commit 9dd2836b055b65f62f96bd7ecd9f0ea138531a1c
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Nov 6 22:22:47 2013 +0100

    Allow x86_energy_perf  tool to modify the MSR
Comment 7 Ludek Smid 2014-06-13 09:04:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.